summaryrefslogtreecommitdiffstats
path: root/academic/mendeleydesktop/mendeleydesktop.SlackBuild
diff options
context:
space:
mode:
author Glenn Becker <burningc@sdf.org>2014-12-16 16:22:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-16 16:22:31 +0700
commit6fc481bc09825e61716655e9f98f587e5f90dcfe (patch)
treec29fda05042b3e328c84040ba5cc4dbd40bbecca /academic/mendeleydesktop/mendeleydesktop.SlackBuild
parentcaee5d250f027d70480dc3a83018e0333d4a950d (diff)
downloadslackbuilds-6fc481bc09825e61716655e9f98f587e5f90dcfe.tar.gz
slackbuilds-6fc481bc09825e61716655e9f98f587e5f90dcfe.tar.xz
academic/mendeleydesktop: Updated for version 1.12.4.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/mendeleydesktop/mendeleydesktop.SlackBuild')
-rw-r--r--academic/mendeleydesktop/mendeleydesktop.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/academic/mendeleydesktop/mendeleydesktop.SlackBuild b/academic/mendeleydesktop/mendeleydesktop.SlackBuild
index edd8e3de30..fde60ac6a4 100644
--- a/academic/mendeleydesktop/mendeleydesktop.SlackBuild
+++ b/academic/mendeleydesktop/mendeleydesktop.SlackBuild
@@ -6,7 +6,7 @@
# Updated by Glenn Becker <burningc@sdf.org>
PRGNAM=mendeleydesktop
-VERSION=${VERSION:-1.12.1}
+VERSION=${VERSION:-1.12.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -45,10 +45,10 @@ tar xvf $CWD/$PRGNAM-$VERSION-linux-${ARCH}.tar.bz2
cd $PRGNAM-$VERSION-linux-$ARCH
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# remove the bundled qt since it should be present in the system already
rm -rf lib/qt
@@ -73,8 +73,8 @@ rmdir share/doc
mv * $PKG/usr
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
- cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh